Events
A: List all events
AuthorizationBearer <token>
In: header
Query Parameters
status?array<unknown>
Filter by status (values: draft, published, completed, cancelled)
Default
nullValue in
"draft" | "published" | "completed" | "cancelled"event_type?string
Filter by type (values: live, recorded)
Default
nullValue in
"live" | "recorded"access_type?string
Filter by access type (values: public, private, password_protected)
Default
nullValue in
"public" | "private" | "password_protected"speaker_id?string
Filter by speaker ID
Default
nullFormat
uuidcategory_id?string
Filter by category ID
Default
nullFormat
uuidis_recurring?boolean
Filter by recurring status
Default
nullstart_after?string
Filter events starting after date (YYYY-MM-DD format)
Default
nullstart_before?string
Filter events starting before date (YYYY-MM-DD format)
Default
nullsearch?string
Search in event title, summary, and description
Default
nulltime_filter?string
Filter by time status (values: "upcoming", "completed", or omit for all events)
Default
nullValue in
"\"upcoming\"" | "\"completed\"" | "or omit for all events"Response Body
curl -X GET "https://edushade.com/api/v1/admin/events?status=draft&event_type=live&access_type=public&time_filter=%22upcoming%22"{}Empty
Empty
Empty